package com.inspect.metadata.prodevmnt.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import java.io.Serializable;
import java.util.List;

public class ProDeviceTreeSelectVO implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long deviceId;
    private Long parentId;
    private String deviceName;
    private String devicetypeName;
    private String deviceCode;
    private String stationNo;
    private String monitorIndexNo;
    private String deviceModel;
    private String manufacturer;
    private String intallPosition;
    private Long areaId;
    @JsonInclude(Include.NON_EMPTY)
    private List<ProDeviceTreeSelectVO> children;

    public Long getDeviceId() {
        return this.deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public Long getParentId() {
        return this.parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDevicetypeName() {
        return this.devicetypeName;
    }

    public void setDevicetypeName(String devicetypeName) {
        this.devicetypeName = devicetypeName;
    }

    public String getDeviceCode() {
        return this.deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getStationNo() {
        return this.stationNo;
    }

    public void setStationNo(String stationNo) {
        this.stationNo = stationNo;
    }

    public String getMonitorIndexNo() {
        return this.monitorIndexNo;
    }

    public void setMonitorIndexNo(String monitorIndexNo) {
        this.monitorIndexNo = monitorIndexNo;
    }

    public String getDeviceModel() {
        return this.deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public String getManufacturer() {
        return this.manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getIntallPosition() {
        return this.intallPosition;
    }

    public void setIntallPosition(String intallPosition) {
        this.intallPosition = intallPosition;
    }

    public List<ProDeviceTreeSelectVO> getChildren() {
        return this.children;
    }

    public void setChildren(List<ProDeviceTreeSelectVO> children) {
        this.children = children;
    }

    public Long getAreaId() {
        return this.areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }
}
